E-MailRelay

Public Types | Static Public Member Functions | List of all members
G::DateTime Class Reference

A static class that knows about timezone offsets. More...

`#include <gdatetime.h>`

## Public Types
using | Offset = std::pair< bool, unsigned int >

## Static Public Member Functions
static Offset | offset (SystemTime)
| Returns the offset in seconds between UTC and localtime as at the given system time. More...
static std::string | offsetString (Offset offset)
| Converts the given utc/localtime offset into a five-character "+/-hhmm" string. More...
static std::string | offsetString (int hh)
| Overload for a signed integer timezone. More...

## Detailed Description

A static class that knows about timezone offsets.

Definition at line 369 of file gdatetime.h.

## Member Typedef Documentation

## ◆ Offset

using G::DateTime::Offset = std::pair<bool,unsigned int>

Definition at line 373 of file gdatetime.h.

## Member Function Documentation

## ◆ offset()

G::DateTime::Offset G::DateTime::offset | ( | SystemTime | t_in | ) |
| static

Returns the offset in seconds between UTC and localtime as at the given system time.

The returned pair has 'first' set to true if localtime is ahead of (ie. east of) UTC.

Definition at line 651 of file gdatetime.cpp.

## ◆ offsetString() [1/2]

std::string G::DateTime::offsetString | ( | int | hh | ) |
| static

Overload for a signed integer timezone.

Definition at line 660 of file gdatetime.cpp.

## ◆ offsetString() [2/2]

std::string G::DateTime::offsetString | ( | Offset | offset | ) |
| static

Converts the given utc/localtime offset into a five-character "+/-hhmm" string.

See also RFC-2822.

Definition at line 669 of file gdatetime.cpp.

The documentation for this class was generated from the following files:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/glib/gdatetime.h
- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/glib/gdatetime.cpp